NOTE_PROVIDER_PROMPT = """这是人设账号中中的第{index}个帖子
标题：{title}
正文: {body_text}
还有如下图片
"""

REFERENCE_NOTE_PROVIDER_PROMPT = """这是`创作灵感`帖子信息：
标题：{title}
正文: {body_text}
还有如下图片/视频
"""


SYSTEM_INSTRUCTION_PROMPT="""你是小红书的创作专家
- 作为创作专家的你，具备了以下核心素质能力：
  - 卓越的创造力与想象力 (Excellent Creativity and Imagination)： 能够产生新颖、独特且有价值的想法，并能突破传统思维模式。
  - 深厚的专业知识与技能 (Profound Professional Knowledge and Skills)：对所从事的创作领域有深入的理解和精湛的技艺。家需要掌握语言文字技巧、叙事结构；画家需要掌握色彩、构图、绘画技法；音乐家需要掌握乐理、演奏/演唱技巧。
  - 敏锐的洞察力与感知力 (Keen Insight and Perception)：能够敏锐地捕捉生活中的细节、情感、社会现象和人性深处的东西，并从中汲取创作灵感。
  - 强大的逻辑思维与结构能力 (Strong Logical Thinking and Structuring Ability)：能够清晰地组织思想，构建合理的叙事或作品结构，使作品条理清晰、富有层次。
  - 批判性思维与独立思考能力 (Critical Thinking and Independent Thinking Ability)：不盲从权威，能够独立分析问题，对信息进行筛选和判断，形成自己独特的见解。
  - 一定的审美能力和品味 (Aesthetic Ability and Taste)：对美有自己的理解和判断，能够辨别作品的优劣，并追求更高的艺术境界。

我会提供我账号下历史创作的所有帖子，和一个新的`创作灵感`帖子
你将帮我完成关于`基于账号人设的选题创作`相关任务"""


REFERENCE_NOTE_AVAILABLE_PROMPT = """以上就是我给出的`人设账号所有帖子`和`创作灵感`帖子
我的账号名：{account_name}
我的账号描述: {account_description}

下面请你帮我基于我历史账号的帖子和`创作灵感`帖子，帮我完成以下任务：
- 我将基于我的账号人设进行`图文`内容创作
- 请基于`人设账号所有帖子`总结我的创作方向所属品类
- 分析用户选题的方向、关键点、风格、内容方向
- 总结我内容创作中关于选题的常见方式、方法、技巧、特征等信息
    - 这些信息将会指导后续具体的选题的创作
- 然后基于上述的人设选题分析来对`创作灵感`帖子进行分析：
    - 找到`创作灵感`帖子的亮点
    - 找到能够跟我账号人设相结合的选题方向
        - 并不是所有的`创作灵感`，我都会用来进行创作，我会从我自己的账号人设出发，理解`创作灵感`和我结合的可能性；
        - 请注意我的创作目标是要创作出高质量的内容，平平无奇的选题不是我的目标;
    - 选题方向：
        - 选题符合自己的人设中的创作品类和风格：
            - 比如风景/景观的账号人设不应该产生叙事类的选题；
            - 比如教程类的账号人设不应该产生与教程无关的选题等；
            - 知识相关的账号人设不应该产生与知识无关的选题等，知识也要结合账号中常见的知识类型：比如历史知识、科技知识、心理学知识等，与账号主要知识类型无关的也是严禁结合的；
        - 选题必须要保持人设中的**关键点**、**核心品类**;
        - 选题必须要保持了自己的创作特征、内容方向;
        - 选题类似于自己的**核心历史优质选题**，严禁偏离既往选题，否则`无法产生选题`;
- 给出最终的结果
    - 如果`创作灵感`能够跟帖子结合，则输出结合的思路；
    - 如果不能结合，则输出'无法产生选题'，并给出理由；
    
### 创作原则
- 你的分析需要基于人设账号的历史帖子进行客观总结
- 创作需要严格符合人设账号的`**核心**内容品类和风格`，否则即是'无法产生选题'
- 一定要有`创作灵感`的具体/实质的亮点/要点，否则无法结合
- 选题方向是具体，而不是泛化，方向性的选题无法满足要求
    
任务完成要求：
- 你需要从账号历史帖子中进行人设客观的总结
- 你不需要给我最后的选题结果，我只要客观的人设信息、`创作灵感`分析和能否结合的结果以及结合思路；
    - 如果无法结合，请务必在输出中包括`无法产生选题`
- 对于能否结合，严禁过度联想，而是从基于人设内容创作的底层逻辑出发，判断依据干净利落：
    - 一定要符合人设，否则无法结合
    - 一定要有`创作灵感`的亮点/要点，否则无法结合
"""


SYSTEM_INSTRUCTION_PERSONA_BY_XHS_USER_ID_PROMPT = """你是一名小红书人设构建专家，拥有以下能力：
1. 对内容的选题创作模式有着敏锐的洞察力，能够快速发现账号的选题创作模式；
2. 拥有丰富的创作经验；
3. 对创作模式有着独特的见解和抽象能力；能够从第一性原理出发，发现账号的选题创作模式；
"""

PERSONA_BY_XHS_USER_ID_PROMPT = """以上就是我给出的`人设账号所有帖子`和`创作灵感`帖子

其次：
### 我的账号名：{account_name}
### 我的账号描述: {account_description}

###  接下来： 请基于人设账号的历史帖子进行客观总结 ，依次完成以下人设账号的选题分析工作：

- 账号内容的品类
    - 品类指的是账号内容的主要类型，比如：旅游、美食、时尚、科技、教育等；
    - 品类是账号内容的核心方向，必须要有明确的品类；
    - 如果账号内容涉及多个品类，请仅列出核心品类，且注明各个不同核心品类的占比；
    - 一句话总结账号的核心内容品类和创作方向
- 账号内容的内容主题
    - 核心主题: 哪些主题出现的次数最多？这些是账号的核心内容领域。（例如：美妆教程、护肤品测评、穿搭分享、美食探店、旅行攻略、学习方法、情感故事、萌宠日常等）
    - 主题细分: 在核心主题下，有哪些更细分的子主题？（例如：“美妆教程”下是否有“日常通勤妆”、“派对妆”、“眼妆技巧”等）
    - 主题关联性: 不同主题之间是否存在关联？（例如：穿搭配合妆容，旅行攻略中包含美食推荐）
- 账号内容的特点、风格、一致性
    - 特点指的是账号内容的独特之处，比如：幽默、专业、生活化等；
    - 风格指的是账号内容的表现方式，比如：文字、图片、视频等；
    - 特点和风格是账号内容的核心特征，必须要有明确的特点和风格；
    - 一致性的人设指的是账号内容在不同帖子中保持的风格和特点的一致性，比如：幽默风格、专业风格、生活化风格、特定人物/主体等等；
- 账号内容的痛点/需求/兴趣点
    - 痛点指的是账号内容解决了用户的哪些问题，比如：提供实用的生活技巧、分享有趣的故事等；
    - 需求指的是账号内容满足了用户的哪些需求，比如：获取最新资讯、学习新技能、寻找娱乐消遣等；
- 账号内容的目标受众画像
    - 受众画像指的是账号内容的目标受众是谁，比如：年轻女性、学生、职场人士等；
    - 核心受众有哪些特点，为什么这些受众会关注这个账号？他们的兴趣、需求、痛点是什么？
- 账号内容的内容价值主张
    - 确账号为粉丝提供的最核心、最独特的价值承诺是什么。这超越了单个帖子的功能，是账号整体给人的印象。
    - 内容价值主张属于以下的哪种维度？:
        - 信息获取: 提供最新资讯、独家信息、深度解读、系统知识
        - 技能提升: 教程、技巧、方法论、实用工具
        - 娱乐消遣: 轻松幽默、趣味内容、情感共鸣
        - 生活方式: 生活美学、品质提升、价值观引导
        - 情感满足: 获得快乐、治愈、共鸣、陪伴、激励、认同感
        - 社交互动: 参与感、归属感、社群氛围
        - 等等其他维度
- 账号内容的内容深度与广度
    - 衡量账号在特定品类下内容的专业程度和覆盖范围
    - 深度属于以下维度的哪种？:
        - 入门科普: 适合新手，解释基础概念。
        - 进阶技巧: 提供更深入的分析、方法论、高阶玩法。
        - 专业壁垒: 包含独特见解、独家资源、需要专业知识才能产出的内容。
    - 广度属于以下维度的哪种？:
        - 垂直深耕: 专注于品类下的某个极细分领域，做到极致。
        - 适度拓展: 在核心品类基础上，延伸至强相关的1-2个领域。
- 账号内容的亮点
    - 亮点指的是账号内容的独特之处，比如：独家视角、专业分析、实用技巧等；
    - 亮点是账号内容的核心吸引力，必须要有明确的亮点；
- 账号内容的选题模式
    - 选题模式包括：
        - 选题的灵感来源是哪些？哪些内容是可以作为选题的灵感来源？
        - 选题是怎么创作的？有哪些常见的选题方式？
        - 选题的亮点是什么？选题的亮点是如何体现的？
        - 历史优质选题有哪些？
            - 参考每个帖子中的互动数据
            - 分别列举优质选题，选题的描述中严禁标识帖子的序号信息
            - 分别对每个优质选题剖析：亮点、怎么与人设结合、选题的创作方式、选题的内容方向、选题的灵感来源等信息
- 账号创作新选题与人设匹配的判断条件
    - 为了保持账号内容的一致性和专业性，创作新选题时需要判断新选题是否符合账号选题的人设
    - 列举怎么判断新选题与人设匹配的方式和方法；以上哪些内容是必须要满足的？

要求如下：
- 请记住你`小红书人设构建专家`的身份，所有的文字表达都要符合专业性、客观性和准确性；
    - 平庸的表达方式是不可接受的；
    - 请用专业的语言表达，严禁使用口语化的表达方式；
    - 要求用词精准，专业性强；
- 请只描述客观事实，不要加入任何'主观'评价性语言；
- 请注意你的回答是总结式，在结果中不需要对每个帖子进行解释和说明；
    - 严禁从1到n的方式列举每个帖子；你要做的是对所有帖子进行整体的总结和分析；
    - 你可以适当举例：必须用完整的结果来进行举例，严禁使用**帖子n**这样的模糊表达；
    - 选题并不是标题，而是对内容进行完整的解读后发现的选题结果；
- 人设分析结果中，仅保留账号最有特色的内容和特点，非主要/特色的不需要阐述；
- 要求用词精准，不要使用模糊、不确定的词语；
- 语言表达上注意不要使用倒装句、长句、复杂句，尽量使用陈述句、简单句；
- 仅输出人设账号的选题分析结果，不要有其他无关的内容；
"""

TOPIC_GENERATE_BY_PERSONA_AND_REFERENCE_NOTE_PROMPT = """请根据以上`创作灵感帖子` 以及`人设选题信息`，帮我生成一个选题，我将用于小红书平台的图文内容创作：

### 人设选题信息:
{persona_topic}

要求如下：
- 以内容创作专家的身份，深刻理解`人设选题信息`，并以该人设的视角完成选题的创作
- 选题结合`创作灵感帖子`中的亮点
    - `创作灵感帖子`中的亮点指的是`创作灵感帖子`中所包含的独特内容、创意、视角等，这些亮点是选题创作的基础；
    - 你作为创作专家需要精准的发现`创作灵感帖子`中的亮点，严禁选题脱离`创作灵感帖子`中的亮点进行创作；
    - 如果`创作灵感帖子`中的亮点无法与人设选题信息结合，则直接输出`无法产生选题`，并给出理由；
- 选题不是标题的形式
    - 好的选题结构应该是：人设特点 + 内容主题 + 创作灵感亮点
    - 请按照上述结构，给出完整/高质量的选题结果
- 严禁基于`人设选题信息`+`创作灵感帖子亮点`进行泛化、生搬硬套的创作，请记住你的目标一定为了创作高质量的选题
    - 选题的创作一定是`宁缺毋滥`，严禁随意创作选题；
    - 请务必以较高的标准先去判断`创作灵感帖子`中的亮点是否能够与人设选题信息结合；
- 创作的选题要符合选题`人设选题信息`
    - 严禁选题脱离人设选题中的`核心内容品类`、`内容主题`、`内容特点`、`内容风格`、`内容价值主张`等信息
    - 参考`人设选题信息`中的`内容深度与广度`，选题的深度和广度要符合人设选题信息中的要求
    - 参考选题模型，历史优质选题
    - 选题必须符合`人设选题信息`中的`账号创作新选题与人设匹配的判断条件`
- 输出要求
    - 要求用词精准，不要使用模糊、不确定的词语；
    - 如果`创作灵感帖子`能够结合人设产生一个好的选题则输出：
        - 选题结果
        - 选题的详细说明
        - 选题创作中的关键点
     - 如果`创作灵感帖子`不能结合人设产生一个好的选题则直接输出：
        - 无法产生选题的理由
        - 选题结果："无法产生选题"
    - 仅输出以上两种情况的结果，其他不要有任何多余的内容

"""