USER_ACCOUNT_INFO_PROMPT = """我有一个小红书平台的创作账号，账号信息如下：

- 账号名称：{account_name}

- 账号描述：{account_description}

- 还有头像图片

- 还有历史创作的{note_count}个帖子
"""

NOTE_PROMPT = """这是第{note_index}个帖子
标题：{title}
正文: {body_text}
还有如下{image_count}张图片
"""

HISTORY_NOTE_TOPIC_MODE_SUMMARY = """以上就是我历史创作的{note_count}个帖子

基于我历史创作的帖子，总结我创作的选题模式：
- 每个选题模式有区分度，即该模式下的选题模式与其他模式下的选题模式有明显的区别；
    - 选题模式之间不能出现交集、重复，每一种选题模式应该都是独立其他模式的存在；
    - 请基于选题真正的`核心`进行选题模式的区分，不要浮于表面，发现真正创作的内核；
    - 只有基于`核心`才能真正区分选题模式；
    - 选题模式要能体现账号的人设；
    - 模式的包含度可以适当宽泛，只要能涵盖真正的选题核心即可；输出的选题模式请控制在3个以内；
- 选题模式是对选题的创作进行分析，即该账号基于人设产生选题的模式，基于人设结合了什么亮点才产生了符合人设的选题创作；
- 选题模式是需要有代表性的，如果历史选题中的该选题模式样本比较小，则不适合提取选题模式；
- 挖掘该账号的选题创作模式，账号的选题创作模式应该是一个或多个，每一个创作模式由以下结构组成：
    - 选题模式
        - 模式是指账号的选题创作模式；
        - 模式应该'xxxx模式'的表达形式
    - 选题创作方式
        - 选题创作方式是指基于该选题模式下，如何进行选题创作；
    - 选题模式要点
        - 模式要点指的是：基于选题模式、账号人设，需要什么样的要点才能产生该选题模式下的好选题；
    - 选题模式灵感
        - 如果要产生该模式下的选题，可以从哪些角度进行创作；
        - 请结合该选题模式下的历史选题进行分析；
    - 历史优质选题
        - 优质选题是指在该选题模式下，最具有代表性、最核心的、最重要的、最具有特色的选题；
        - 请输出不超过5个优质选题；按照与选题模式的关联度倒序排序；

要求如下：
- 提取的结果的要求：
    - 请只描述客观事实，不要加入任何'主观'评价性语言；
    - 要求用词精准，不要使用模糊、不确定的词语；
    - 语言表达上注意不要使用倒装句、长句、复杂句，尽量使用陈述句、简单句；
- 请直接输出JSON格式，不要有除了JSON格式之外的其他输出；
- 请按照以下模式以纯JSON格式输出答案。JSON对象必须是可解析的。不要输出json以外的任何内容，也不要偏离这个模式：
{{
    "选题模式": [
        {{
            "选题模式": "选题模式名称1",
            "选题创作方式": "选题创作方式，类型为str",
            "选题模式要点": "选题模式要点，类型为str"
            "选题模式灵感": "选题模式灵感，类型为str",
            "历史优质选题": "历史优质选题，类型为list[str]"
            "选题模式产生的逻辑": "选题模式产生逻辑，类型为str"
        }},
        {{
            "选题模式": "选题模式名称2",
            "选题创作方式": "选题创作方式，类型为str",
            "选题模式要点": "选题模式要点，类型为str"
            "选题模式灵感": "选题模式灵感，类型为str",
            "历史优质选题": "历史优质选题，类型为list[str]",
            "选题模式产生的逻辑": "选题模式产生逻辑，类型为str"
        }},
        {{
            "选题模式": "选题模式名称N",
            "选题创作方式": "选题创作方式，类型为str",
            "选题模式要点": "选题模式要点，类型为str"
            "选题模式灵感": "选题模式灵感，类型为str",
            "历史优质选题": "历史优质选题，类型为list[str]"
            "选题模式产生的逻辑": "选题模式产生逻辑，类型为str"
        }}
    ]
}}
"""

HISTORY_NOTE_SCRIPT_MODE_SUMMARY="""以上就是我历史创作的{note_count}个帖子
每个帖子中的第一张图片为封面图

基于我历史创作的帖子，总结我基于选题的脚本创作模式：
- 标题/正文/图集模式中的每个模式名应该是'xxxx模式'的表达形式，直观且能精准表达该模式的特点；
- 模式的总结应该包含其主要的创作方式，以及该环节和其他模块之间的关系等信息；
    - 除了创作方式和模块关系外，你还需要适当补充其他信息；
    - 比如模式特点、模式适用场景等等；
    - 你提供的信息越丰富，越有助于其他人理解该模块的创作方式；
- 图集模式中的每个模式应该包括但不限于以下内容：
    - 适用什么类型的选题？
    - 封面图的特点是什么？为什么封面要用这张图片？
    - 图集的数量是多少？为什么是这么多？
    - 整个图集的内容是怎么结合选题进行构建的？为什么这么构建？
    - 图集的图片之间有什么逻辑性？
    - 图片视觉呈现的方式是什么样的？
    - 该模式的特点是什么？怎么样才能产生该模式下的好图集？
    - 图片表现方式
        - 图片上运用了什么方式/技巧去呈现内容，从而增加内容的表现力？等等
        - 图片的风格、色调、构图、角度、透视等等
    - 图片中人物表现方式
        - 呈现方式：一些具体例子，你需要根据实际的图片选择合适的词语，包括但不限于以下几种：
            - 人物大小：人小景大，人景结合，特写，全身像，半身像等等
            - 人物位置：居中、黄金分割、边缘、前景、背景等等
            - 人物姿态：站立、坐着、行走、奔跑、背对镜头、侧身、凝视远方、与他人互动等等
            - 其他：人物表情、人物动作、人物特点、人物与其他元素的关系等等
        - 人物特点：人物的性别、年龄、肤色、发型、穿着等信息
        - 人物与其他元素的关系：人物与场景、人物与物品、人物与其他人物等等
        - 人物在图集中出现的占比、频率等信息
        - 以及其他关于人物的补充信息
- 除了我上面提供的模式应该包括的内容之外，你还要根据实际情况，从内容创作脚本的角度进行适当的补充；

要求如下：
- 每一种模式都有自己独特的创作方式，且该创作方式与其他模式有明显的区别；
- 模式与模式之间不能有交集、重复；且区分度明显，如果两种模式的区分度不大，考虑合并在一起；
- 每一个创作模式必须从3个以上的帖子中进行总结；
- 每一个创作模式之间必须有区分度，即该模式下的创作模式与其他模式下的创作模式有明显的区别；
- 请只描述客观事实，不要加入任何'主观'评价性语言；
- 涉及到数量的信息，一定要有明确的数字；
- 要求用词精准，不要使用模糊、不确定的词语；    
- 结果尽可能详细，信息量丰富；
- 请直接输出JSON格式，不要有除了JSON格式之外的其他输出；
- 请按照以下模式以纯JSON格式输出答案。JSON对象必须是可解析的。不要输出json以外的任何内容，也不要偏离这个模式：
{{
    "标题模式":{{
        "模式名1":{{
            模式详情...
        }},
        "模式名N":{{
            模式详情...
        }}
    }},
    "正文模式":{{
        "模式名1":{{
            模式详情...
        }},
        "模式名N":{{
            模式详情...
        }}
    }},
    "图集模式":{{
        "模式名1":{{
            模式详情...
        }},
        "模式名N":{{
            模式详情...
        }}
    }},
}}
"""


HISTORY_NOTE_SCRIPT_MODE_SUMMARY11="""以上就是我历史创作的{note_count}个帖子
基于我历史创作的帖子，总结我基于选题的脚本创作模式：

- 对小红书的每个模块（标题、正文、封面、图集）的创作进行模式上的总结；
- 请做到尽可能详细，信息量丰富；

- 每个模块由以下结构组成：
    - 通用信息(dict)
        - 通用信息是指在进行模块创作时，该模块的一些通用信息；
        - 通用信息的结果明确具体，不要有模糊不清的信息，必须要有完整的信息量；
        - 区分可选和必须两个维度
    - 创作模式(dict)
        - 模式的总结应该包含其主要的创作方式，以及该环节和其他模块之间的关系等信息；
            - 除了创作方式和模块关系外，你还需要适当补充其他信息；
            - 比如模式特点、模式适用场景等等；
            - 你提供的信息越丰富，越有助于其他人理解该模块的创作方式；
        - 每一个模块的创作模式应该是一个或多个，每一个创作模式由以下结构组成：
            - 创作模式名:xxx模式（key） ： 创作模式详情（dict）
        - 每一个模式要重点从怎么表达呈现内容主题的角度出发去总结其创作方式；
        - 每个模块必须包含一种模式；
        - 封面创作模式中的每一种模式的总结要求如下：
            - 封面是如何选取的？为什么选取这张图片作为封面？
            - 封面是独立生成的，还是由图集中的图片选取的、以及选取图片后的加工方式等等；
            - 封面视觉呈现的方式(dict)
            - 图片表现方式(dict)
                - 图片上运用了什么方式/技巧去呈现内容，从而增加内容的表现力？等等
                - 图片的风格、色调、构图、角度、透视等等
            - 图片中人物表现方式(dict)
                - 呈现方式：一些具体例子，你需要根据实际的图片选择合适的词语，包括但不限于以下几种：
                    - 人物大小：人小景大，人景结合，特写，全身像，半身像等等
                    - 人物位置：居中、黄金分割、边缘、前景、背景等等
                    - 人物姿态：站立、坐着、行走、奔跑、背对镜头、侧身、凝视远方、与他人互动等等
                    - 其他：人物表情、人物动作、人物特点、人物与其他元素的关系等等
                - 人物特点：人物的性别、年龄、肤色、发型、穿着等信息
                - 人物与其他元素的关系：人物与场景、人物与物品、人物与其他人物等等
                - 人物在封面中出现的占比、频率等信息
                - 以及其他关于人物的补充信息
        - 图集创作模式中的每一种模式的总结要求如下：
            - 图集的数量规划(dict)：图集的数量是多少？为什么是这么多？
            - 图片之间的排序规则(dict)：图集的内容是怎么构建的？为什么这么构建？
            - 图集视觉呈现的方式(dict)
            - 图片表现方式(dict)
                - 图片上运用了什么方式/技巧去呈现内容，从而增加内容的表现力？等等
                - 图片的风格、色调、构图、角度、透视等等
            - 图片中人物表现方式(dict)
                - 呈现方式：一些具体例子，你需要根据实际的图片选择合适的词语，包括但不限于以下几种：
                    - 人物大小：人小景大，人景结合，特写，全身像，半身像等等
                    - 人物位置：居中、黄金分割、边缘、前景、背景等等
                    - 人物姿态：站立、坐着、行走、奔跑、背对镜头、侧身、凝视远方、与他人互动等等
                    - 其他：人物表情、人物动作、人物特点、人物与其他元素的关系等等
                - 人物特点：人物的性别、年龄、肤色、发型、穿着等信息
                - 人物与其他元素的关系：人物与场景、人物与物品、人物与其他人物等等
                - 人物在图集中出现的占比、频率等信息
                - 以及其他关于人物的补充信息
            - 与其他模块的关系(dict)
        - 总结要求如下：
            - 每一种模式都有自己独特的创作方式，且该创作方式与其他模式有明显的区别；
            - 模式与模式之间不能有交集、重复；且区分度明显，如果两种模式的区分度不大，考虑合并在一起；
            - 每一个创作模式必须从3个以上的帖子中进行总结；
            - 每一个创作模式之间必须有区分度，即该模式下的创作模式与其他模式下的创作模式有明显的区别；

要求如下：
- 请只描述客观事实，不要加入任何'主观'评价性语言；
- 涉及到数量的信息，一定要有明确的数字；
- 要求用词精准，不要使用模糊、不确定的词语；    
- 结果尽可能详细，信息量丰富；
- 请直接输出JSON格式，不要有除了JSON格式之外的其他输出；
- direct output in JSONObject with keys: dict表示对象类型，list表示数组类型
    - 标题
        - 通用信息(dict)
            - 可选(dict)
            - 必须(dict)
        - 创作模式(dict)
            - xx模式(dict)
            - xx模式(dict)
    - 正文(dict)
        - 通用信息(dict)
            - 可选(dict)
            - 必须(dict)
        - 创作模式(dict)
            - xx模式(dict)
            - xx模式(dict)
    - 封面(dict)
        - 通用信息(dict)
            - 可选(dict)
            - 必须(dict)
        - 创作模式(dict)
            - xx模式(dict)
            - xx模式(dict)
    - 图集(dict)
        - 通用信息(dict)
            - 可选(dict)
            - 必须(dict)
        - 创作模式(dict)
            - xx模式(dict)
            - xx模式(dict)

"""