NOTE_PROMPT = """这是第{note_index}个帖子
标题：{title}
正文: {body_text}
还有如下{image_count}张图片
"""

CREATE_TOPIC_BY_HISTORY_NOTE_PROMPT = """以上就是我历史创作的{note_count}个帖子
请帮我完成以下任务：

- 首先从历史帖子中总结我的人设，然后针对【选题】的找到我的创作模式、创作特点、创作风格等
- 然后参考一个新的帖子，结合我的人设和创作模式，创作一个新的选题：
    - 选题需要有关键的细节；
    - 选题请避免出现概括性的总结，比如'有趣'应该替换为具体的'什么什么有趣'、'反差'应该替换为具体的'反差意义'；
    - 选题是完整的结果，能够清楚的表达要创作内容的主题、特点、关键点；
    - 选题的句式应该为简单句；避免使用复杂句式；
- 确保选题是符合人设和创作模式的，并且结合了参考帖子的关键点：
    - 参考点需要结合自己的创作需求来实际产生；
    - 请注意你的参考点：参考点应该是具体的、明确的等等，而不是'状态','意境','氛围','趣味性'等指代不明的东西；
    - 参考点一定要结合实际来产生有意义的选题，而不是为了产生选题而产生，如果参考点不够明确，你可以终止创作；
    - 请勿强行、滥用参考点，因为平庸、普通的选题不是你的创作目标；
    - 如果找不到参考点，也比较正常，并不是所有的参考内容都能够与自己的创作相结合；输出原因即可；并终止创作；
- 请按照以下模式以纯JSON格式输出答案。JSON对象必须是可解析的。不要输出json以外的任何内容，也不要偏离这个模式，确保输出的是JSON Object not Array：
{{
    "选题结果": {{
        "是否能产生新的选题": "是/否",
        "不能产生选题的原因": "详细说明",
        "选题": "选题结果",
        "选题描述": "选题的详细说明",
        "选题创作的关键点"："为了让我能够完美的表达这个选题，我要保证哪些关键点，该字段类型为 list[str]",
        "选题产生的逻辑": "选题产生的逻辑详细说明",
    }}
}}


参考帖子如下：
标题：
{title}

正文: 
{body_text}

还有如下{image_count}个图片/视频
- 因为我是要创作的是一个图文类型的帖子，如果参考了视频的声音/动作，请转换为图片类型的静态描述
"""

CREATE_TOPIC_BY_HISTORY_NOTE_AND_XUANTI_MODE_PROMPT = """以上就是我历史创作的{note_count}个帖子

我内容创作的选题模式如下：

{xuanti_mode}

请帮我完成以下任务：

- 首先从历史帖子中总结我的人设，然后针对【选题】的找到我的创作模式、创作特点、创作风格等
- 然后参考一个新的帖子，结合我的人设和创作模式，创作一个新的选题：
    - 选题需要有关键的细节；
    - 选题请避免出现概括性的总结，比如'有趣'应该替换为具体的'什么什么有趣'、'反差'应该替换为具体的'反差意义'；
    - 选题是完整的结果，能够清楚的表达要创作内容的主题、特点、关键点；
    - 选题的句式应该为简单句；避免使用复杂句式；
- 确保选题是符合人设和创作模式的，并且结合了参考帖子的关键点：
    - 参考点需要结合自己的创作需求来实际产生；
    - 请注意你的参考点：参考点应该是具体的、明确的等等，而不是'状态','意境','氛围','趣味性'等指代不明的东西；
    - 参考点一定要结合实际来产生有意义的选题，而不是为了产生选题而产生，如果参考点不够明确，你可以终止创作；
    - 请勿强行、滥用参考点，因为平庸、普通的选题不是你的创作目标；
    - 如果找不到参考点，也比较正常，并不是所有的参考内容都能够与自己的创作相结合；输出原因即可；并终止创作；
- 确保选题是符合选题模式的
    - 请参考选题模式来进行选题的创作，请不要偏离选题模式来进行创作；
    - 选题模式是约束选题的范围；
    - 只要满足选题模式其一即可；
- 请按照以下模式以纯JSON格式输出答案。JSON对象必须是可解析的。不要输出json以外的任何内容，也不要偏离这个模式，确保输出的是JSON Object not Array：
{{
    "选题结果": {{
        "是否能产生新的选题": "是/否",
        "不能产生选题的原因": "详细说明",
        "选题": "选题结果",
        "选题描述": "选题的详细说明",
        "选题创作的关键点"："为了让我能够完美的表达这个选题，我要保证哪些关键点，该字段类型为 list[str]",
        "选题产生的逻辑": "选题产生的逻辑详细说明",
    }}
}}


参考帖子如下：
标题：
{title}

正文: 
{body_text}

还有如下{image_count}个图片/视频
"""

CREATE_TOPIC_BY_HISTORY_NOTE_ADN_KNOWLEDGE_PROMPT = """以上就是我历史创作的{note_count}个帖子和小红书选题创作的知识库
请帮我完成以下任务：

- 首先从历史帖子中总结我的人设，然后针对【选题】的找到我的创作模式、创作特点、创作风格等；
- 接着参考选题知识库，作为优质选题的知识背景；
- 最后参考一个新的帖子，结合我的人设和创作模式，创作一个新的选题：
    - 选题需要有关键的细节；
    - 选题请避免出现概括性的总结，比如'有趣'应该替换为具体的'什么什么有趣'、'反差'应该替换为具体的'反差意义'；
    - 选题是完整的结果，能够清楚的表达要创作内容的主题、特点、关键点；
    - 选题的句式应该为简单句；避免使用复杂句式；能够完整的表达一个内容的主题、核心思想；
    - 选题类中需要有明确的主题信息，而不是仅仅类似于‘标题’等概括性描述；
- 确保选题是符合人设和创作模式的，并且结合了参考帖子的关键点：
    - 参考点需要结合自己的创作需求来实际产生；
    - 请注意你的参考点：参考点应该是具体的、明确的等等，而不是'状态','意境','氛围','趣味性'等指代不明的东西；
    - 参考点一定要结合实际来产生有意义的选题，而不是为了产生选题而产生，如果参考点不够明确，你可以终止创作；
    - 请勿强行、滥用参考点，因为平庸、普通的选题不是你的创作目标；
    - 如果找不到参考点，也比较正常，并不是所有的参考内容都能够与自己的创作相结合；输出原因即可；并终止创作；

- 请按照以下模式以纯JSON格式，仅输出选题结果。JSON对象必须是可解析的。不要输出json以外的任何内容，也不要偏离这个模式，确保输出的是JSON Object not Array：
{{
    "选题结果": {{
        "是否能产生新的选题": "是/否",
        "不能产生选题的原因": "详细说明",
        "选题": "选题结果",
        "选题描述": "选题的详细说明",
        "选题创作的关键点"："为了让我能够完美的表达这个选题，我要保证哪些关键点，该字段类型为 list[str]",
        "选题产生的逻辑": "选题产生的逻辑详细说明",
        "知识库引用说明": "对于选题知识库引用的详细说明",
    }}
}}


参考帖子如下：
标题：
{title}

正文: 
{body_text}

还有如下{image_count}个图片/视频
- 因为我是要创作的是一个图文类型的帖子，如果参考了视频的声音/动作，请转换为图片类型的静态描述
"""